This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 244086 - Review Request: gconf-cleaner - A Cleaning tool for GConf
Review Request: gconf-cleaner - A Cleaning tool for GConf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 14:19 EDT by Damien Durand
Modified: 2014-06-09 22:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 05:10:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chitlesh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Damien Durand 2007-06-13 14:19:16 EDT
Spec URL: http://glive.tuxfamily.org/fedora/gconf-cleaner/gconf-cleaner.spec
SRPM URL: http://glive.tuxfamily.org/fedora/gconf-cleaner/gconf-cleaner-0.0.2-1.fc8.src.rpm
Description: GConf Cleaner is a tool to clean your GConf database up that
is possibly ate away with the unecessary keys anymore or
the invalid keys. You may want to keep a clean your GConf
database. this tool might help you in this case
Comment 1 Tyler Owen 2007-06-13 19:28:52 EDT
On Fedora Core 7:

* rpmlint is silent
* RPM/specfile name looks good
* Group looks good
* License is open-source compatible (GPL)
* COPYING included in source and included in %doc
* SPEC file is in English

- FIX : SPEC file %description not legible 
  it does not read very well (which I saw is directly from the README in the
upstream tarball)

* Source is the same as upstream
* Package builds cleanly in mock for Fedora 7 i386
* Handles locales properly (uses %find_lang)
* Package not relocatable
* Package owns all directories it creates
* No dupes in %files
* Files section contains %defattr(-,root,root,-)
* Valid clean section
* Macro usage looks good
* No large docs
* No shared libs
* No header files, static libs or *.pc files
* No libtool archives
* .desktop file included as Source1
- FIX: <vendor_id> set to blank ("") in desktop-file-install, per packaging
guidelines (http://fedoraproject.org/wiki/Packaging/Guidelines#desktop) should
be fedora is not specified by upstream

* Install starts with  rm -rf $RPM_BUILD_ROOT
* RPM installs and runs without an issue on Fedora 7 i386
Comment 2 Damien Durand 2007-06-14 07:01:14 EDT
* Thu Jun 14 2007 Damien Durand <splinux@fedoraproject.org> - 0.0.2-2
- Fix spec file description
- Fix desktop file


Spec URL: http://glive.tuxfamily.org/fedora/gconf-cleaner/gconf-cleaner.spec
SRPM URL:
http://glive.tuxfamily.org/fedora/gconf-cleaner/gconf-cleaner-0.0.2-2.fc8.src.rpm
Comment 3 Damien Durand 2007-06-19 07:21:31 EDT
ping?
Comment 4 Tyler Owen 2007-06-19 07:36:02 EDT
My review was not an official review as I am not sponsored.  Sorry for the
confusion.
Comment 5 Chitlesh GOORAH 2007-07-08 03:23:52 EDT
It is a simple and small package :)

For KDE users, there is a package "kmenu-gnome". It installs all gnome/gtk 
applications in a seperate menu if GNOME;GTK; are in the Categories of the 
desktop file.

Edit your desktop file so that the category line looks as follows:
Categories=GNOME;GTK;X-Fedora;System;
Because right now, gnome/gtk applications are mixed up with kde/qt 
applications in kmenu.
Comment 7 Chitlesh GOORAH 2007-07-11 07:30:04 EDT
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license 
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own 
file, then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream 
source, as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files 
listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} 
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros 
section of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described 
in detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If 
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, 
and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other 
packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s)
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No scriptlets were used, those scriptlets must be sane. 
 - SHOULD: No subpackages present.

APPROVED
Comment 8 Damien Durand 2007-07-11 07:40:34 EDT
New Package CVS Request
=======================
Package Name: gconf-cleaner
Short Description: A Cleaning tool for GConf
Owners: splinux@fedoraproject.org
Branches: F-7
InitialCC:
Comment 9 Kevin Fenzi 2007-07-11 21:43:23 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.